curl --request GET \
--url https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0/tools/5376af81-6bb8-4b01-800c-508d7672e394 \
--header 'Authorization: Bearer gmcp_your_api_key'
{
"id": 5,
"uuid": "5376af81-6bb8-4b01-800c-508d7672e394",
"server_id": 1,
"name": "create_customer",
"description": "Create a new customer in Stripe",
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"input_schema": {
"type": "object",
"properties": {
"email": {"type": "string", "format": "email", "description": "Customer email"},
"name": {"type": "string", "description": "Customer full name"}
},
"required": ["email"]
},
"parameter_mapping": {
"email": {"target": "body", "key": "email"},
"name": {"target": "body", "key": "name"}
},
"response_mapping": {
"selector": "",
"format": "json",
"template": ""
},
"headers": null,
"cache_ttl": 0,
"timeout": 30,
"rate_limit_per_min": 60,
"retry_count": 0,
"retry_backoff": "exponential",
"sort_order": 0,
"status": "active",
"tags": [],
"last_tested_at": null,
"last_test_response_ms": null,
"server_uuid": "836995ae-1cff-41ec-823e-a4f07ccca3a0",
"server_hex": "a1b2c3d4e5f6a1b2",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}
Retrieve a single tool by ID.
curl --request GET \
--url https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0/tools/5376af81-6bb8-4b01-800c-508d7672e394 \
--header 'Authorization: Bearer gmcp_your_api_key'
{
"id": 5,
"uuid": "5376af81-6bb8-4b01-800c-508d7672e394",
"server_id": 1,
"name": "create_customer",
"description": "Create a new customer in Stripe",
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"input_schema": {
"type": "object",
"properties": {
"email": {"type": "string", "format": "email", "description": "Customer email"},
"name": {"type": "string", "description": "Customer full name"}
},
"required": ["email"]
},
"parameter_mapping": {
"email": {"target": "body", "key": "email"},
"name": {"target": "body", "key": "name"}
},
"response_mapping": {
"selector": "",
"format": "json",
"template": ""
},
"headers": null,
"cache_ttl": 0,
"timeout": 30,
"rate_limit_per_min": 60,
"retry_count": 0,
"retry_backoff": "exponential",
"sort_order": 0,
"status": "active",
"tags": [],
"last_tested_at": null,
"last_test_response_ms": null,
"server_uuid": "836995ae-1cff-41ec-823e-a4f07ccca3a0",
"server_hex": "a1b2c3d4e5f6a1b2",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}
Documentation Index
Fetch the complete documentation index at: https://docs.getmcp.com/llms.txt
Use this file to discover all available pages before exploring further.
836995ae-1cff-41ec-823e-a4f07ccca3a0). Numeric IDs are also accepted for backwards compatibility.5376af81-6bb8-4b01-800c-508d7672e394). Numeric IDs are also accepted for backwards compatibility.curl --request GET \
--url https://yoursite.com/wp-json/getmcp/v1/servers/836995ae-1cff-41ec-823e-a4f07ccca3a0/tools/5376af81-6bb8-4b01-800c-508d7672e394 \
--header 'Authorization: Bearer gmcp_your_api_key'
{
"id": 5,
"uuid": "5376af81-6bb8-4b01-800c-508d7672e394",
"server_id": 1,
"name": "create_customer",
"description": "Create a new customer in Stripe",
"endpoint_url": "https://api.stripe.com/v1/customers",
"http_method": "POST",
"input_schema": {
"type": "object",
"properties": {
"email": {"type": "string", "format": "email", "description": "Customer email"},
"name": {"type": "string", "description": "Customer full name"}
},
"required": ["email"]
},
"parameter_mapping": {
"email": {"target": "body", "key": "email"},
"name": {"target": "body", "key": "name"}
},
"response_mapping": {
"selector": "",
"format": "json",
"template": ""
},
"headers": null,
"cache_ttl": 0,
"timeout": 30,
"rate_limit_per_min": 60,
"retry_count": 0,
"retry_backoff": "exponential",
"sort_order": 0,
"status": "active",
"tags": [],
"last_tested_at": null,
"last_test_response_ms": null,
"server_uuid": "836995ae-1cff-41ec-823e-a4f07ccca3a0",
"server_hex": "a1b2c3d4e5f6a1b2",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T10:00:00"
}